package kz.arta.synergy.workflow.mobile.android.forms.general.components.registrychooser.models;

import java.util.List;

/**
 * Created by neox on 02.06.16.
 */
public class RegistryInfoModel {

    private String columnCount;
    private String name;
    private List<Columns> columns;

    public String getColumnCount() {
        return columnCount;
    }

    public String getName() {
        return name;
    }

    public List<Columns> getColumns() {
        return columns;
    }

    public static class Columns {

        private String number;
        private String columnID;
        private String label;
        private String body;
        private String visible;
        private boolean showIcon;
        private boolean upIcon;

        public String getNumber() {
            return number;
        }

        public String getColumnID() {
            return columnID;
        }

        public String getLabel() {
            return label;
        }

        public String getBody() {
            return body;
        }

        public String getVisible() {
            return visible;
        }

        public boolean isShowIcon() {
            return showIcon;
        }

        public void setShowIcon(boolean showIcon) {
            this.showIcon = showIcon;
        }

        public boolean isUpIcon() {
            return upIcon;
        }

        public void setUpIcon(boolean upIcon) {
            this.upIcon = upIcon;
        }
    }
}
